| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/enginetools.h File Reference

Helper functions for working on engine data. More...

`#include "csextern.h"`
`#include "csutil/set.h"`
`#include "csutil/array.h"`
`#include "csgeom/vector3.h"`

Go to the source code of this file.

## Classes
class | csEngineTools
| This is a class with static helper functions for working on engine data. More...
struct | csScreenTargetResult
| This structure is returned by csEngineTools::FindScreenTarget(). More...
struct | csShortestDistanceResult
| Result structure for csEngineTools::FindShortestDistance(). More...

## Detailed Description

Helper functions for working on engine data.

Definition in file enginetools.h.